//#![allow(unused)]

#[must_use]
fn awesome_function() -> i32 {
    let num = 42;
    num
}

fn great_function() {
}

fn main() {
    let x = 100;
    let y = &x;
    println!("{x}");

    awesome_function();

    panic!("何か起きました！");

    if false {
        let z = 200;
        println!("{z}");
    }
}